﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MauiApp1.Model
{
    
    public class Utilisateur
    {
        public int IdUtilisateur { get; private set; }
        public string Nom { get; private set; }
        public List<Partition> Favoris { get; private set; }


        public Utilisateur(int id, string n)
        {
            IdUtilisateur = id;
            Nom = n;
            Favoris = new List<Partition>();
        }


        public void ajouter(Partition partition)
        {
            Favoris.Add(partition);
        }

        public void retirer(Partition partition)
        {
            Favoris.Remove(partition);
        }

        public void retirerTout()
        {
            Favoris.Clear();
        }

    }

}
